OGRE: Ogre::RTShader::SGMaterialSerializerListener Class Reference - OGRE Documentation

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends

# Ogre::RTShader::SGMaterialSerializerListener Class Reference
[RTShader]

This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...

`#include <OgreShaderMaterialSerializerListener.h>`

Inheritance diagram for Ogre::RTShader::SGMaterialSerializerListener:
[legend]

List of all members.

## Public Member Functions
virtual void | materialEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Material *mat)
virtual void | techniqueEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Technique *tech)
virtual void | passEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Pass *tech)
virtual void | materialEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Material *mat)
| Called when material section event raised.
virtual void | techniqueEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Technique *tech)
| Called when technique section event raised.
virtual void | passEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const Pass *pass)
| Called when pass section event raised.
void | gpuProgramRefEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const String &attrib, const GpuProgramPtr &program, const GpuProgramParametersSharedPtr &params, GpuProgramParameters *defaultParams)
| Called when GPU program reference section event raised.
virtual void | textureUnitStateEventRaised (MaterialSerializer *ser, SerializeEvent event, bool &skip, const TextureUnitState *textureUnit)
| Called when texture unit state section event raised.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Types
typedef vector < ShaderGenerator::SGPass * > ::type | SGPassList
typedef SGPassList::iterator | SGPassListIterator
typedef SGPassList::const_iterator | SGPassListConstIterator
## Protected Member Functions
| SGMaterialSerializerListener ()
| Will be create and destroyed via ShaderGenerator interface.
| ~SGMaterialSerializerListener ()
void | createSGPassList (Material *mat, SGPassList &passList)
| Internal method that creates list of SGPass instances composing the given material.
ShaderGenerator::SGPass * | getShaderGeneratedPass (const Pass *srcPass)
| Internal method that returns SGPass instance from a given source pass.
## Protected Attributes
Material * | mSourceMaterial
SGPassList | mSGPassList
## Friends
class | ShaderGenerator

## Detailed Description

This class responsible for translating core features of the RT Shader System for Ogre material scripts.

Definition at line 47 of file OgreShaderMaterialSerializerListener.h.

## Member Function Documentation

void Ogre::MaterialSerializer::Listener::gpuProgramRefEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const String & | attrib,
|  | const GpuProgramPtr & | program,
|  | const GpuProgramParametersSharedPtr & | params,
|  | GpuProgramParameters * | defaultParams |
| ) |  |  | `[inherited]`

Called when GPU program reference section event raised.

Parameters:

  | ser | The MaterialSerializer instance that writes the given material.
  | stage | The current section writing stage.
  | skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  | attrib | The GPU program reference description (vertex_program_ref, fragment_program_ref, etc).
  | program | The program being written.
  | params | The program parameters.
  | defaultParams | The default program parameters.

Definition at line 168 of file OgreMaterialSerializer.h.

virtual void Ogre::RTShader::SGMaterialSerializerListener::materialEventRaised | ( | MaterialSerializer * | ser,
|  | MaterialSerializer::SerializeEvent | event,
|  | bool & | skip,
|  | const Material * | mat |
| ) |  |  | `[virtual]`

See also:
  MaterialSerializer::Listener::materialEventRaised

virtual void Ogre::MaterialSerializer::Listener::materialEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Material * | mat |
| ) |  |  | `[virtual, inherited]`

Called when material section event raised.

Parameters:

  | ser | The MaterialSerializer instance that writes the given material.
  | stage | The current section writing stage.
  | skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  | mat | The material that is being written.

Definition at line 132 of file OgreMaterialSerializer.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::MaterialSerializer::Listener::passEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Pass * | pass |
| ) |  |  | `[virtual, inherited]`

Called when pass section event raised.

Parameters:

  | ser | The MaterialSerializer instance that writes the given material.
  | stage | The current section writing stage.
  | skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  | pass | The pass that is being written.

Definition at line 154 of file OgreMaterialSerializer.h.

virtual void Ogre::MaterialSerializer::Listener::techniqueEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const Technique * | tech |
| ) |  |  | `[virtual, inherited]`

Called when technique section event raised.

Parameters:

  | ser | The MaterialSerializer instance that writes the given material.
  | stage | The current section writing stage.
  | skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  | tech | The technique that is being written.

Definition at line 143 of file OgreMaterialSerializer.h.

virtual void Ogre::MaterialSerializer::Listener::textureUnitStateEventRaised | ( | MaterialSerializer * | ser,
|  | SerializeEvent | event,
|  | bool & | skip,
|  | const TextureUnitState * | textureUnit |
| ) |  |  | `[virtual, inherited]`

Called when texture unit state section event raised.

Parameters:

  | ser | The MaterialSerializer instance that writes the given material.
  | stage | The current section writing stage.
  | skip | May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE.
  | textureUnit | The texture unit state that is being written.

Definition at line 191 of file OgreMaterialSerializer.h.

The documentation for this class was generated from the following file:

- OgreShaderMaterialSerializerListener.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05